Page MenuHomePhabricator

puppet4: Error while evaluating a Function Call, hiera() can only be called using the 4.x function API. See Scope#call_function at /etc/puppet/modules/role/manifests/webperf.pp:17:22
Closed, DuplicatePublic

Description

WARN -- : Failed build_catalog for future validation: OctocatalogDiff::Errors::CatalogError Catalog failed: Failed to retrieve catalog from https://puppetmaster2001.codfw.wmnet:8140/future/catalog/hafnium.eqiad.wmnet: 500 {"message":"Server Error: Evaluation Error: Error while evaluating a Function Call, hiera() can only be called using the 4.x function API. See Scope#call_function at /etc/puppet/modules/role/manifests/webperf.pp:17:22 on node hafnium.eqiad.wmnet","issue_kind":"RUNTIME_ERROR","stacktrace":["Warning: The 'stacktrace' property is deprecated and will be removed in a future version of Puppet. For security reasons, stacktraces are not returned with Puppet HTTP Error responses."]}